# ux-checkbox-list-item



<!-- Auto Generated Below -->


## Properties

| Property   | Attribute  | Description                                                           | Type      | Default     |
| ---------- | ---------- | --------------------------------------------------------------------- | --------- | ----------- |
| `checked`  | `checked`  | indicates if the checkbox is checked                                  | `boolean` | `false`     |
| `disabled` | `disabled` | indicates if the checkbox is disabled                                 | `boolean` | `false`     |
| `label`    | `label`    | This is the label that is displayed for this item inside the dropdown | `string`  | `undefined` |
| `name`     | `name`     | name which is used for checkbox groups or as identifier in forms      | `string`  | `""`        |
| `value`    | `value`    | this value is used on the checkbox inside this item                   | `string`  | `undefined` |


## Events

| Event                      | Description | Type               |
| -------------------------- | ----------- | ------------------ |
| `uxCheckboxListItemChange` |             | `CustomEvent<any>` |


## Dependencies

### Used by

 - [ux-list](../list)

### Depends on

- [ux-checkbox](../checkbox)

### Graph
```mermaid
graph TD;
  ux-checkbox-list-item --> ux-checkbox
  ux-list --> ux-checkbox-list-item
  style ux-checkbox-list-item fill:#f9f,stroke:#333,stroke-width:4px
```

----------------------------------------------

Built with [Stencil](https://stenciljs.com/).
