# ux-table-sort



<!-- Auto Generated Below -->


## Properties

| Property          | Attribute          | Description                                                                                                                                                                                               | Type                    | Default     |
| ----------------- | ------------------ | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ----------------------- | ----------- |
| `ascName`         | `asc-name`         | This is the name to send when it should sort ascending                                                                                                                                                    | `string`                | `undefined` |
| `descName`        | `desc-name`        | This is the name to send when it should sort descending                                                                                                                                                   | `string`                | `undefined` |
| `sortedDirection` | `sorted-direction` | indicates in which direction the data is already sorted. This has to be empty when it is not sorted yet. Setting this does not trigger the sorting event. Clicking the button will update this attribute. | `"" \| "asc" \| "desc"` | `""`        |


## Events

| Event         | Description                                                   | Type               |
| ------------- | ------------------------------------------------------------- | ------------------ |
| `uxTableSort` | when the sort Button is clicked it emits the asc or desc name | `CustomEvent<any>` |


## Dependencies

### Depends on

- [ux-icon](../../icon)

### Graph
```mermaid
graph TD;
  ux-table-sort --> ux-icon
  style ux-table-sort fill:#f9f,stroke:#333,stroke-width:4px
```

----------------------------------------------

Built with [Stencil](https://stenciljs.com/).
