import { EventEmitter, ComponentInterface } from "../../stencil-public-runtime";
export declare class Collapsible implements ComponentInterface {
  domNode: HTMLUxCollapsibleElement;
  /** toggle expanded state  */
  isExpanded: boolean;
  /** the toggle button text in default collapsed state  */
  buttonTextCollapsed: string;
  /** the toggle button text in expanded state  */
  buttonTextExpanded: string;
  /** the content container html element */
  private contentContainer;
  /** the content inner html element */
  private contentInner;
  /** the current transition timeout id */
  private transitionTimeoutId;
  /** fired when the collapsible is expanded or collapsed  */
  collapsibleExpanded: EventEmitter<boolean>;
  setIsExpanded(currentlyExpanded: boolean): void;
  private toggleExpanded;
  componentDidLoad(): void;
  render(): any;
}
