export declare class FormGroup {
  /** label text describing the form fields */
  label: string;
  /** indicates if the form group is required  */
  required: boolean;
  /** indicates if the form group has an error state  */
  error: boolean;
  /** Error message that is rendered if component has an error */
  errorMsg: string;
  /** utility classes to be assigned to the label element */
  labelClasses: string;
  render(): any;
}
