import { EventEmitter } from "../../stencil-public-runtime";
export declare class Redirect {
  /** timeoutID */
  timeout: number;
  /** url string where the user should be redirected to */
  url: string;
  /** time until the redirect should occur in seconds */
  delay: number;
  /** Emitted before the actual redirect takes place, includes the URL, can be cancelled  */
  redirect: EventEmitter<string>;
  loadUrl(): void;
  setDelay(): void;
  componentDidLoad(): void;
}
