# ux-select



<!-- Auto Generated Below -->


## Properties

| Property   | Attribute   | Description                                              | Type         | Default |
| ---------- | ----------- | -------------------------------------------------------- | ------------ | ------- |
| `disabled` | `disabled`  | indicates if the select component is disabled            | `boolean`    | `false` |
| `error`    | `error`     | indicates if the select component has an error state     | `boolean`    | `false` |
| `errorMsg` | `error-msg` | Error message that is rendered if component has an error | `string`     | `""`    |
| `label`    | `label`     | label text describing the select component field         | `string`     | `""`    |
| `name`     | `name`      | name of the select field                                 | `string`     | `""`    |
| `options`  | --          | array of options                                         | `UxOption[]` | `[]`    |
| `required` | `required`  | indicates if the select component is required            | `boolean`    | `false` |
| `selectId` | `select-id` | select id attribute                                      | `string`     | `""`    |


## Events

| Event            | Description                              | Type               |
| ---------------- | ---------------------------------------- | ------------------ |
| `uxSelectChange` | event to set the currently active option | `CustomEvent<any>` |


## Dependencies

### Depends on

- [ux-icon](../icon)

### Graph
```mermaid
graph TD;
  ux-select --> ux-icon
  style ux-select fill:#f9f,stroke:#333,stroke-width:4px
```

----------------------------------------------

Built with [Stencil](https://stenciljs.com/).
