# ux-tab-button



<!-- Auto Generated Below -->


## Properties

| Property    | Attribute    | Description                            | Type     | Default     |
| ----------- | ------------ | -------------------------------------- | -------- | ----------- |
| `activeTab` | `active-tab` | Contains the current active tab string | `string` | `undefined` |
| `name`      | `name`       | Displays the label of the tab          | `string` | `""`        |
| `tabId`     | `tab-id`     | Contains this tabs ID                  | `string` | `""`        |


## Dependencies

### Used by

 - [ux-tab-container](../tab-container)

### Graph
```mermaid
graph TD;
  ux-tab-container --> ux-tab-button
  style ux-tab-button fill:#f9f,stroke:#333,stroke-width:4px
```

----------------------------------------------

Built with [Stencil](https://stenciljs.com/).
