# ux-tag



<!-- Auto Generated Below -->


## Properties

| Property    | Attribute   | Description                                                               | Type      | Default     |
| ----------- | ----------- | ------------------------------------------------------------------------- | --------- | ----------- |
| `reference` | `reference` | This connects the tag with the container                                  | `string`  | `undefined` |
| `removable` | `removable` | If set to true, the tag is removed on click and a uxRemove event is fired | `boolean` | `false`     |


## Events

| Event      | Description                   | Type               |
| ---------- | ----------------------------- | ------------------ |
| `uxRemove` | Fired when the tag is removed | `CustomEvent<any>` |


## Dependencies

### Used by

 - [ux-filter](../filter)

### Depends on

- [ux-icon](../icon)

### Graph
```mermaid
graph TD;
  ux-tag --> ux-icon
  ux-filter --> ux-tag
  style ux-tag fill:#f9f,stroke:#333,stroke-width:4px
```

----------------------------------------------

Built with [Stencil](https://stenciljs.com/).
