# ux-video



<!-- Auto Generated Below -->


## Properties

| Property             | Attribute               | Description                                                                                                                                                                                | Type      | Default |
| -------------------- | ----------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ | --------- | ------- |
| `alwaysPreload`      | `always-preload`        | if set, the video will preload on mobile viiewport as well                                                                                                                                 | `boolean` | `false` |
| `noCustomPlayButton` | `no-custom-play-button` | if set, does not display a the custom play button will be set automatically if on of the parents has the class "js-video-play-button-handler", meaning that the video has a custom overlay | `boolean` | `false` |


## Slots

| Slot          | Description                                 |
| ------------- | ------------------------------------------- |
| `"(default)"` | insert a standard, valid HTML video element |


## Dependencies

### Depends on

- [ux-icon](../icon)

### Graph
```mermaid
graph TD;
  ux-video --> ux-icon
  style ux-video fill:#f9f,stroke:#333,stroke-width:4px
```

----------------------------------------------

Built with [Stencil](https://stenciljs.com/).
