import { AutosuggestItem } from "./autosuggest-response";
export declare class AutosuggestInput {
  /** placeholder text for input */
  placeholder?: string;
  /** name attribute for input */
  name?: string;
  /** id attribute for input. A unique id will be generated if this is empty */
  inputId?: string;
  /** label for input */
  label?: string;
  /** URL for autosuggest-API */
  url?: string;
  /** indicates if the autosuggest input is disabled */
  disabled: boolean;
  /** indicates if the autosuggest input is required  */
  required: boolean;
  /** indicates if the autosuggest input has an error  */
  error: boolean;
  /** Error message that is rendered if component has an error */
  errorMsg: string | null;
  suggestions: AutosuggestItem[];
  input: string;
  isHidden: boolean;
  id: string;
  domNode: HTMLUxAutosuggestInputElement;
  componentWillLoad(): void;
  private onInput;
  private onBlur;
  private onFocus;
  private onClick;
  render(): any;
}
