import { EventEmitter } from "../../stencil-public-runtime";
export declare class InfiniteScrollSensor {
  sensor: HTMLUxInfiniteScrollSensorElement;
  /** is called when it is scrolled into view */
  scrolledIntoView: EventEmitter;
  /** is true after the event was fired. This prevents the event from firing again. set this to false to re-enable the event */
  hasFired: boolean;
  /** this name will also be in the event */
  name: string;
  /** component will automatically assess if it is inside a ux-modal-content component */
  private isInModal;
  /** the modal content containing the sensor */
  private modalContent;
  private onScroll;
  connectedCallback(): void;
  disconnectedCallback(): void;
  private isInViewModal;
  render(): any;
}
